> For the complete documentation index, see [llms.txt](https://docs.xrpscan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xrpscan.com/api-documentation/account/assets.md).

# Assets

This endpoint retrieves IOU tokens owned by a given account.

Tokens can represent any type of value, including "stablecoins" backed by assets that exist outside of the ledger, purely digital tokens created specifically on the XRP Ledger, community credit, and more.

{% embed url="<https://xrpl.org/tokens.html>" %}
Read more about Tokens on xrpl.org
{% endembed %}

## Request

{% tabs %}
{% tab title="GET" %}

```
GET /api/v1/account/{ACCOUNT}/assets
```

{% endtab %}
{% endtabs %}

## Example

{% tabs %}
{% tab title="curl" %}

```
curl https://api.xrpscan.com/api/v1/account/rGFuMiw48HdbnrUbkRYuitXTmfrDBNTCnX/assets
```

{% endtab %}
{% endtabs %}

## Response

{% tabs %}
{% tab title="JSON" %}

```json
[
  {
    "counterparty": "rvYAfWj5gh67oV6fW32ZzP3Aw4Eubs59B",
    "currency": "BTC",
    "value": "36.41805453512676",
    "counterpartyName": {
      "username": "Bitstamp",
      "account": "rvYAfWj5gh67oV6fW32ZzP3Aw4Eubs59B"
    }
  },
  {
    "counterparty": "rvYAfWj5gh67oV6fW32ZzP3Aw4Eubs59B",
    "currency": "EUR",
    "value": "4926372.911025",
    "counterpartyName": {
      "username": "Bitstamp",
      "account": "rvYAfWj5gh67oV6fW32ZzP3Aw4Eubs59B"
    }
  },
  {
    "counterparty": "rvYAfWj5gh67oV6fW32ZzP3Aw4Eubs59B",
    "currency": "USD",
    "value": "4673369.908680244",
    "counterpartyName": {
      "username": "Bitstamp",
      "account": "rvYAfWj5gh67oV6fW32ZzP3Aw4Eubs59B"
    }
  }
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xrpscan.com/api-documentation/account/assets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
